pmbootstrap to sdcard
#21
(02-11-2020, 06:44 AM)MartijnBraam Wrote:
(02-10-2020, 02:23 PM)curtvaughan Wrote: Hello.  Here's what I get from the install to the sdcard:

curt@pop-os:~$ pmbootstrap install --sdcard /dev/mmcblk0
[14:16:09] *** (1/5) PREPARE NATIVE CHROOT ***
[14:16:09] (native) install alpine-base
[14:16:10] NOTE: Valid pkgvers are described here:
[14:16:10] <https://wiki.alpinelinux.org/wiki/APKBUILD_Reference#pkgver>
[14:16:10] ERROR: Invalid pkgver '3.x.x' in APKBUILD: /home/curt/.local/var/pmbootstrap/cache_git/pmaports/device/linux-pin64-pinephone/APKBUILD
[14:16:10] See also: <https://postmarketos.org/troubleshooting>
Run 'pmbootstrap log' for details.

So, here's output from 'pmbootstrap log':

curt@pop-os:~$ cat pmbootstrap.log
(5/19) Installing alpine-conf (3.8.3-r6)
(6/19) Installing libcrypto1.1 (1.1.1d-r4)
(7/19) Installing libssl1.1 (1.1.1d-r4)
(8/19) Installing ca-certificates-cacert (20191127-r1)
(9/19) Installing libtls-standalone (2.9.1-r0)
(10/19) Installing ssl_client (1.31.1-r11)
(11/19) Installing zlib (1.2.11-r3)
(12/19) Installing apk-tools (2.10.4-r3)
(13/19) Installing busybox-suid (1.31.1-r11)
(14/19) Installing busybox-initscripts (3.2-r2)
Executing busybox-initscripts-3.2-r2.post-install
(15/19) Installing scanelf (1.2.4-r0)
(16/19) Installing musl-utils (1.1.24-r0)
(17/19) Installing libc-utils (0.7.2-r0)
(18/19) Installing alpine-keys (2.1-r2)
(19/19) Installing alpine-base (3.12_alpha20200122-r0)
Executing busybox-1.31.1-r11.trigger
OK: 8 MiB in 19 packages
(027632) [14:16:10] (native) % adduser -D pmos -u 12345
(027632) [14:16:10] (native) % busybox su pmos -c HOME=/home/pmos ln -s /mnt/pmbootstrap-abuild-config /home/pmos/.abuild
(027632) [14:16:10] (native) % chown pmos:pmos /mnt/pmbootstrap-abuild-config
(027632) [14:16:10] (native) % busybox su pmos -c HOME=/home/pmos ln -s /mnt/pmbootstrap-ccache /home/pmos/.ccache
(027632) [14:16:10] (native) % chown pmos:pmos /mnt/pmbootstrap-ccache
(027632) [14:16:10] (native) % busybox su pmos -c HOME=/home/pmos mkdir -p /home/pmos/packages
(027632) [14:16:10] (native) % busybox su pmos -c HOME=/home/pmos ln -s /mnt/pmbootstrap-packages /home/pmos/packages/pmos
(027632) [14:16:10] (native) % chown pmos:pmos /mnt/pmbootstrap-packages
(027632) [14:16:10] (native) % busybox su pmos -c HOME=/home/pmos mkdir -p /home/pmos/.cargo/registry
(027632) [14:16:10] (native) % busybox su pmos -c HOME=/home/pmos ln -s /mnt/pmbootstrap-rust/registry/index /home/pmos/.cargo/registry/index
(027632) [14:16:10] (native) % chown pmos:pmos /mnt/pmbootstrap-rust/registry/index
(027632) [14:16:10] (native) % busybox su pmos -c HOME=/home/pmos ln -s /mnt/pmbootstrap-rust/registry/cache /home/pmos/.cargo/registry/cache
(027632) [14:16:10] (native) % chown pmos:pmos /mnt/pmbootstrap-rust/registry/cache
(027632) [14:16:10] (native) % busybox su pmos -c HOME=/home/pmos mkdir -p /home/pmos/.cargo/git
(027632) [14:16:10] (native) % busybox su pmos -c HOME=/home/pmos ln -s /mnt/pmbootstrap-rust/git/db /home/pmos/.cargo/git/db
(027632) [14:16:10] (native) % chown pmos:pmos /mnt/pmbootstrap-rust/git/db
(027632) [14:16:10] (native) calculate depends of cryptsetup, util-linux, e2fsprogs, parted, dosfstools (pmbootstrap -v for details)
(027632) [14:16:10] NOTE: Valid pkgvers are described here:
(027632) [14:16:10] <https://wiki.alpinelinux.org/wiki/APKBUILD_Reference#pkgver>
(027632) [14:16:10] ERROR: Invalid pkgver '3.x.x' in APKBUILD: /home/curt/.local/var/pmbootstrap/cache_git/pmaports/device/linux-pin64-pinephone/APKBUILD
(027632) [14:16:10] See also: <https://postmarketos.org/troubleshooting>
(027632) [14:16:10] Traceback (most recent call last):
 File "/home/curt/pmbootstrap/pmb/__init__.py", line 63, in main
   getattr(frontend, args.action)(args)
 File "/home/curt/pmbootstrap/pmb/helpers/frontend.py", line 198, in install
   pmb.install.install(args)
 File "/home/curt/pmbootstrap/pmb/install/_install.py", line 493, in install
   build=False)
 File "/home/curt/pmbootstrap/pmb/chroot/apk.py", line 202, in install
   packages_with_depends = pmb.parse.depends.recurse(args, packages, suffix)
 File "/home/curt/pmbootstrap/pmb/parse/depends.py", line 146, in recurse
   package = package_from_aports(args, pkgname_depend)
 File "/home/curt/pmbootstrap/pmb/parse/depends.py", line 33, in package_from_aports
   aport = pmb.helpers.pmaports.find(args, pkgname_depend, False)
 File "/home/curt/pmbootstrap/pmb/helpers/pmaports.py", line 133, in find
   apkbuild = pmb.parse.apkbuild(args, path_current)
 File "/home/curt/pmbootstrap/pmb/parse/_apkbuild.py", line 312, in apkbuild
   "' in APKBUILD: " + path)
RuntimeError: Invalid pkgver '3.x.x' in APKBUILD: /home/curt/.local/var/pmbootstrap/cache_git/pmaports/device/linux-pin64-pinephone/APKBUILD

Everything went smoothly before the actual install attempt.  Any suggestions will be appreciated.

You typed pin64 instead of pine64 into the device selection when running "pmbootstrap init". so it created a new device page for that device with some scaffolding in it that isn't complete. to remove it delete "/home/curt/.local/var/pmbootstrap/cache_git/pmaports/device/linux-pin64-pinephone" and "/home/curt/.local/var/pmbootstrap/cache_git/pmaports/device/device-pin64-pinephone"

Then run pmbootstrap init again and type the correct name

Thanks again for catching the "pin64" spelling error. Once that was removed everything proceeded properly. Smile
#22
Looking for some assistance on installing to sd card.  Keep running into the same error.  Updated my pmbootstrap version...

(071090) [20:27:57] Traceback (most recent call last):
  File "/usr/lib/python3.8/site-packages/pmb/__init__.py", line 63, in main
    getattr(frontend, args.action)(args)
  File "/usr/lib/python3.8/site-packages/pmb/helpers/frontend.py", line 195, in install
    pmb.install.install(args)
  File "/usr/lib/python3.8/site-packages/pmb/install/_install.py", line 536, in install
    install_system_image(args)
  File "/usr/lib/python3.8/site-packages/pmb/install/_install.py", line 408, in install_system_image
    embed_firmware(args)
  File "/usr/lib/python3.8/site-packages/pmb/install/_install.py", line 338, in embed_firmware
    raise RuntimeError("The following firmware binary does not "
RuntimeError: The following firmware binary does not exist in the device rootfs: /usr/share/u-boot/pine64-lts/u-boot-sunxi-with-spl.bin

(081601) [20:31:34] % tail -f /home/iec/.local/var/pmbootstrap/log.txt -n 60
(081601) [20:31:34] *** output passed to pmbootstrap stdout, not to this log ***


Thanks for any help.
#23
Make sure your pmaports is updated as well (pmbootstrap pull), then zap your chroots (pmbootstrap -y zap -hc -dpmo), then try again.
#24
(03-20-2020, 01:32 AM)PureTryOut Wrote: Make sure your pmaports is updated as well (pmbootstrap pull), then zap your chroots (pmbootstrap -y zap -hc -dpmo), then try again.

Thanks, that helped. Also, my pmbootstrap was way outdated (1.12.0). That didn't help things either...  Got it up and running on my PP, running very smoothly, even got anbox mostly running! 

Also, does PMOS use apk update/upgrade? 

I ran apk update, it accessed all the repositories.  Fetched ALOT updates for many different packages.  But when I run apk upgrade, it fails to actually upgrade anything (0%). No error message, but nothing is really upgraded. 

I've never used PMOS/Alpine, so not sure how things work exactly. 

Update/upgrade worked with other OSs using PHOSH with the PP....

Anyway, thanks very much for your help and the work you put into PMOS.
#25
Yes we use "apk update" and "apk upgrade". However, I recommend you pass the "-a" switch to upgrade, so "apk upgrade -a" to make sure _everything_ actually gets upgraded.
#26
Hello,

I try to image the SD card using pmbootstrap (I did run 'pmbootstrap pull' before)

First, '$ pmbootystrap init' then 'pmbootstrap install'


Code:
$ pmbootstrap install --sdcard=/dev/mmcblk0


after a couple of minutes I get the error:


Code:
ERROR: Command failed: % sudo /home/user/.local/var/pmbootstrap/apk.static --no-progress --root /home/user/.local/var/pmbootstrap/chroot_native --cache-dir /home/user/.local/var/pmbootstrap/cache_apk_x86_64 --initdb --arch x86_64 add alpine-base


The log is attached. The laptop I'm using to image the SD card runs Arch Linux. The SD card is formatted as FAT32. Could anyone help?
#27
(04-18-2020, 12:28 PM)valentin Wrote: The log is attached. The laptop I'm using to image the SD card runs Arch Linux. The SD card is formatted as FAT32. Could anyone help?

Where? I don't see it.

What you posted here isn't actually the error, just the command that failed. Please run "pmbootstrap log" in a separate terminal and find the actual error there, and post it.
#28
(04-19-2020, 09:05 AM)PureTryOut Wrote:
(04-18-2020, 12:28 PM)valentin Wrote: The log is attached. The laptop I'm using to image the SD card runs Arch Linux. The SD card is formatted as FAT32. Could anyone help?

Where? I don't see it.

What you posted here isn't actually the error, just the command that failed. Please run "pmbootstrap log" in a separate terminal and find the actual error there, and post it.

Hi,

Sorry for coming back so late - I have the notifications deactivated and, as I gave up using PostmarketOS, I wasn't interested any longer in any feedback on this issue, I haven't visited the thread.
#29
Why did you give up? pmbootstrap is normally a breeze to use so I'm sure the installation problem is something we can resolve easily.
#30
(06-09-2020, 01:27 PM)PureTryOut Wrote: Why did you give up? pmbootstrap is normally a breeze to use so I'm sure the installation problem is something we can resolve easily.

I have spent the evening trying to use pmbootstrap but with no succes. I have run into sd card writing errors on my Ubuntu 20.04 virtualBox under OS X, and a syntax error trying to use pmbootstrap under UBports from SD (with intent to flash my emmc) on my PinePhone.

I too will give up for now... I guess I will check back in later... maybe it’s possible to just make some flashable imgs?  Or improve the tool?


Possibly Related Threads…
Thread Author Replies Views Last Post
  phone won't boot from emmc with sdcard inserted ssilvi 3 2,387 06-06-2021, 02:47 AM
Last Post: ssilvi
  Cannot boot from SDCard cube 2 2,261 01-31-2021, 11:47 AM
Last Post: cube
  pmbootstrap error lat 2 2,495 12-22-2020, 06:32 PM
Last Post: lat
  pmbootstrap issues IVp 3 3,969 09-24-2020, 02:24 AM
Last Post: Pinethom
  pmbootstrap build large keyboard not usable u20200719 5 4,985 07-25-2020, 02:31 PM
Last Post: u20200719
  Is it possible to pre-configure wifi and ssh with pmbootstrap? kelbot 2 3,434 07-06-2020, 01:55 AM
Last Post: ChriChri
  Dumb question: do I have to use pmbootstrap? quixote 5 5,206 06-11-2020, 09:23 AM
Last Post: plainenough
  pmbootstrap on Mac OSX srfne 2 3,857 02-29-2020, 04:15 PM
Last Post: srfne
  Does pmbootstrap install the latest image? mypine 4 4,593 02-20-2020, 01:02 PM
Last Post: mypine
  pmbootstrap - choose different ui after first run mypine 2 2,933 02-13-2020, 04:35 PM
Last Post: mypine

Forum Jump:


Users browsing this thread: 1 Guest(s)